## python-pylatex 1.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source -n
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/doctrees
	rm -rf $(BUILDDIR)/html/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html -n
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyLaTeX.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyLaTeX.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyLaTeX"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyLaTeX"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-pylatex (1.4.2-4) unstable; urgency=medium

  [Michael R. Crusoe]
  * d/control: move doc dependencies to Build-Depends-Indep.

  [Yogeswaran Umasankar]
  * Patch for replacing the external URL with local inventory for Python3 docs.
  * Added https_proxy='127.0.0.1:9' to sphinx-build in d/rules.
  * Added Multi-Arch & removed Built-Using in python-pylatex-doc in d/control.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 23 Mar 2024 15:30:00 +0000

python-pylatex (1.4.2-3) unstable; urgency=medium

  * Team upload.
  * d/control: move "${sphinxdoc:Built-Using}" from a Depends to the
    "Built-Using" field. This was preventing a new version of Sphinx.
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Mar 2024 13:22:15 +0100

python-pylatex (1.4.2-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Mon, 26 Feb 2024 17:30:00 +0000

python-pylatex (1.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1063917)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 14 Feb 2024 18:30:00 +0000

=== debian/control ===
Source: python-pylatex
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pulak Bhushan <pulakbhushan@gmail.com>,
           Yogeswaran Umasankar <kd8mbd@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               dh-sequence-python3,
               python3-all,
               python3-ordered-set,
               twine,
               python3-numpy,
               python3-matplotlib,
               python3-quantities,
               python3-pytest <!nocheck>,
               latexmk <!nocheck>,
               texlive-latex-extra <!nocheck>,
               lmodern <!nocheck>
Build-Depends-Indep: python3-sphinx <!nodoc>,
                     python3-sphinx-rtd-theme <!nodoc>,
                     python3-doc <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pylatex
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pylatex.git
Homepage: https://github.com/JelteF/PyLaTeX
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pylatex
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Python library for creating LaTeX files and snippets
 PyLaTeX is a Python library for creating and compiling LaTeX files or
 snippets. The goal of this library is being an easy, but extensible
 interface between Python and LaTeX.

Package: python-pylatex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Documentation for python-pylatex
 PyLaTeX is a Python library for creating and compiling LaTeX files or
 snippets. The goal of this library is being an easy, but extensible
 interface between Python and LaTeX.
 .
 This package contains documentation for PyLaTeX.

=== debian/watch ===
version=4
https://github.com/JelteF/PyLaTeX/tags .*/v(\d\S+)\.tar\.gz

## python-pylatex 1.4.2+ds

=== debian/changelog ===
python-pylatex (1.4.2+ds-5) unstable; urgency=medium

  * Replace versioneer.py with python3-versioneer.
  * d/control: add python3-versioneer to B-Depends + update
    uploaders + routine updates + add depends to python-pylatex-doc.
  * Add debian/source/options to ignore egg-info diff.
  * d/copyright: exclude versioneer.py + update email ID in debian/*
    copyright.
  * Patch to rename description-file to description_file.
  * Patch to fix reprotest failure.
  * Update URLs in 002-intersphinx-python-doc.patch.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 07 Aug 2024 21:50:00 +0000

=== debian/control ===
Source: python-pylatex
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 latexmk <!nocheck>,
 lmodern <!nocheck>,
 python3-all,
 python3-matplotlib,
 python3-numpy,
 python3-ordered-set,
 python3-pytest <!nocheck>,
 python3-quantities,
 python3-setuptools,
 python3-versioneer,
 texlive-latex-extra <!nocheck>,
 twine,
Build-Depends-Indep:
 python3-doc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pylatex
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pylatex.git
Homepage: https://github.com/JelteF/PyLaTeX
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pylatex
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Python library for creating LaTeX files and snippets
 PyLaTeX is a Python library for creating and compiling LaTeX files or
 snippets. The goal of this library is being an easy, but extensible
 interface between Python and LaTeX.

Package: python-pylatex-doc
Architecture: all
Section: doc
Depends:
 python-matplotlib-doc,
 python-numpy-doc,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-pylatex
 PyLaTeX is a Python library for creating and compiling LaTeX files or
 snippets. The goal of this library is being an easy, but extensible
 interface between Python and LaTeX.
 .
 This package contains documentation for PyLaTeX.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pylatex

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	https_proxy='127.0.0.1:9' sphinx-build -b html docs/source build/sphinx/html
	dh_installdocs -ppython-pylatex-doc --doc-main-package=python-pylatex-doc build/sphinx/html
	dh_installdocs

override_dh_installexamples:
	dh_installexamples -ppython-pylatex-doc --doc-main-package=python-pylatex-doc

override_dh_install:
	dh_install
	find debian/python3-pylatex -type f \( -name "*.pdf" -o -name "*.tex" \) -delete

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
https://github.com/JelteF/PyLaTeX/tags .*/v(\d\S+)\.tar\.gz
